---
schema_version: "1"
id: cd7790b27dbcef50a2e98df5990c0eef37edbee0ffcd0b318346aa1d2f8e50f4
title: Create Promotions
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries/cme/guides/comms-t-create-promotions.md
canonical_url: https://developer.salesforce.com/docs/industries/cme/guide/comms-t-create-promotions.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 9b3bf0f839a31638f2c2543653e716713ddf68af3ddeb0261f217282b7f1a684
products:
  - Communications, Media, Energy and Utilities APIs (Managed Package)
  - Industries Developer Documentation
---
# Create Promotions

Create promotions in Vlocity Product Console by specifying them in the request body.

```nolang
POST /v2/epc/promotions
```

## Remote Method

```nolang
addPromotion
```

## REST Handler

```nolang
APIPromotionRestHandler
```

## Apex Remote Service

```nolang
PCAppHandler
```

## Package

Communication (vlocity_cmt)

## API Parameters and Response Format

For API parameter names and descriptions, see the [Swagger (OpenAPI) reference documentation for Industries EPC REST APIs](https://developer.salesforce.com/docs/industries/cme/references/epc?meta=Summary).


## Resource Information

| Response Format | JSON                                             |
| --------------- | ------------------------------------------------ |
| Resource URL    | /services/apexrest/{namespace}/v2/epc/promotions |

## Example Request

```nolang
POST /v2/epc/promotions

{
  "epcRequest": {
    "entity": {
      "Name": "Promotion-Example",
      "vlocity_cmt__PriceListId__c": "a343h000001ACXFAA4",
      "vlocity_cmt__Code__c": "Promotion-Example",
      "vlocity_cmt__Description__c": "Promotion-Example",
      "vlocity_cmt__IsOrderable__c": true,
      "vlocity_cmt__EnableAutoAddProducts__c": false,
      "vlocity_cmt__IsActive__c": true
    }
  }
}
```

## Example Result

```
{
    "epcResponse": {
        "entities": [
            {
                "numberOfProduct": 0,
                "entity": {
                    "attributes": {
                        "type": "vlocity_cmt__Promotion__c",
                        "url": "/services/data/v52.0/sobjects/vlocity_cmt__Promotion__c/a3K3h0000006AiyEAE"
                    },
                    "Id": "a3K3h0000006AiyEAE",
                    "OwnerId": "0053h000002UGCUAA4",
                    "IsDeleted": false,
                    "Name": "Promotion-Example",
                    "CurrencyIsoCode": "USD",
                    "RecordTypeId": "0123h000000slErAAI",
                    "CreatedDate": "2021-09-07T05:50:02.000+0000",
                    "CreatedById": "0053h000002UGCUAA4",
                    "LastModifiedDate": "2021-09-07T05:50:02.000+0000",
                    "LastModifiedById": "0053h000002UGCUAA4",
                    "SystemModstamp": "2021-09-07T05:50:02.000+0000",
                    "LastViewedDate": "2021-09-07T05:50:02.000+0000",
                    "LastReferencedDate": "2021-09-07T05:50:02.000+0000",
                    "vlocity_cmt__AppliesToAllItems__c": false,
                    "vlocity_cmt__CannotBeCombined__c": false,
                    "vlocity_cmt__Code__c": "Promotion-Example",
                    "vlocity_cmt__Description__c": "Promotion-Example",
                    "vlocity_cmt__DurationUnitOfMeasure__c": "Month",
                    "vlocity_cmt__EnableAutoAddProducts__c": false,
                    "vlocity_cmt__EnableAutoApplyPromotion__c": true,
                    "vlocity_cmt__GlobalKey__c": "a74dff32-15da-f94a-9769-d58c6685d0cb",
                    "vlocity_cmt__IsActive__c": true,
                    "vlocity_cmt__IsLimitedQuantity__c": true,
                    "vlocity_cmt__IsOrderable__c": true,
                    "vlocity_cmt__PriceListId__c": "a343h000001ACXFAA4",
                    "vlocity_cmt__ServiceContinuation__c": "Not Applicable",
                    "vlocity_cmt__PriceListId__r": {
                        "attributes": {
                            "type": "vlocity_cmt__PriceList__c",
                            "url": "/services/data/v52.0/sobjects/vlocity_cmt__PriceList__c/a343h000001ACXFAA4"
                        },
                        "Id": "a343h000001ACXFAA4",
                        "Name": "TestPriceList"
                    }
                }
            }
        ],
        "overallResult": "success"
    }
}
```
